// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.command;

import edu.wpi.first.wpilibj2.command.Command;
import frc.robot.subsystem.Grimpeur;

public class GrimpeurBas extends Command {
  private Grimpeur grimpeur;
  /** Creates a new GrimpeurBas. */
  public GrimpeurBas(Grimpeur grimpeur) {
    this.grimpeur = grimpeur;
    addRequirements(grimpeur);
    // Use addRequirements() here to declare subsystem dependencies.
  }

  // Called when the command is initially scheduled.
  @Override
  public void initialize() {
    grimpeur.resetencodeurd();
    grimpeur.resetencodeurg();
  }

  // Called every time the scheduler runs while the command is scheduled.
  @Override
  public void execute() {
    if(grimpeur.droite()){
      grimpeur.resetencodeurd();
      grimpeur.gauche(0);
    }
    if(grimpeur.gauche()){
      grimpeur.resetencodeurg();
      grimpeur.gauche(0);
    }
  }

  // Called once the command ends or is interrupted.
  @Override
  public void end(boolean interrupted) {
    grimpeur.droit(0);
    grimpeur.gauche(0);
  }

  // Returns true when the command should end.
  @Override
  public boolean isFinished() {
    return false;
  }
}
